Bug 244259 - kdesdk does not build
kdesdk does not build
Product: Fedora
Classification: Fedora
Component: flex (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Petr Machata
Depends On:
  Show dependency treegraph
Reported: 2007-06-14 14:56 EDT by Ngo Than
Modified: 2015-05-04 21:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.5.33-9.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-25 19:25:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ngo Than 2007-06-14 14:56:02 EDT
Description of problem:

kdesdk does not build

Version-Release number of selected component (if applicable):

How reproducible:
rebuild kdesdk on F7 you will get the errors

g++ -shared -nostdlib  -m32 -march=i386 -mtune=generic -Wl,--as-needed -Wl,--enable-new-dtags -Wl,--no-undefined -Wl,--allow-shlib-undefined  -DNDEBUG -DNO_DEBUG -O2 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -fasynchronous-unwind-tables -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../crti.o /usr/lib/gcc/i386-redhat-linux/4.1.2/crtbeginS.o  .libs/catalog.o .libs/catalogitem.o .libs/editcmd.o .libs/msgfmt.o .libs/catalogsettings.o .libs/tagextractor.o .libs/diff.o .libs/argextractor.o .libs/kbmailer.o .libs/poinfo.o .libs/regexpextractor.o .libs/importplugin.o .libs/exportplugin.o .libs/kbproject.o .libs/kbprojectmanager.o .libs/projectsettings.o .libs/stringdistance.o .libs/kbprojectsettings.o .libs/kbabeldatatool.moc.o -Wl,--whole-archive 
libgettext/.libs/libgettext.a -Wl,--no-whole-archive  -L/usr/lib -L/usr/lib/qt-3.3/lib /usr/lib/libkio.so /usr/lib/libkdeui.so /usr/lib/libkdesu.so /usr/lib/libkwalletclient.so /usr/lib/libkdecore.so -lutempter /usr/lib/libDCOP.so -ldl -lresolv -lutil /usr/lib/libkdefx.so -lqt-mt -lXext -lX11 -lSM -lICE -lpthread -lXrender -lz -L/usr/lib/gcc/i386-redhat-linux/4.1.2 -L/usr/lib/gcc/i386-redhat-linux/4.1.2/../../.. -lstdc++ -lm -lc -lgcc_s /usr/lib/gcc/i386-redhat-linux/4.1.2/crtendS.o /usr/lib/gcc/i386-redhat-linux/4.1.2/../../../crtn.o -Wl,-soname -Wl,libkbabelcommon.so.3 -o .libs/libkbabelcommon.so.3.2.0
.libs/poinfo.o: In function `GettextFlexLexer::yylex()':
undefined reference to `GettextBaseFlexLexer::yylex()'
.libs/poinfo.o:(.data.rel.ro._ZTV16GettextFlexLexer[vtable for 
GettextFlexLexer]+0x10): undefined reference to 
.libs/poinfo.o:(.data.rel.ro._ZTV16GettextFlexLexer[vtable for 
GettextFlexLexer]+0x14): undefined reference to 
std::char_traits<char> >*, int)'
.libs/poinfo.o:(.data.rel.ro._ZTV16GettextFlexLexer[vtable for 
GettextFlexLexer]+0x18): undefined reference to 
.libs/poinfo.o:(.data.rel.ro._ZTV16GettextFlexLexer[vtable for 
GettextFlexLexer]+0x1c): undefined reference to 
std::char_traits<char> >*)'
collect2: ld returned 1 exit status

Actual results:
kdesdk it does not build

Expected results:
kdesdk should be built

Additional info:
kdesdk builds fine with previuos version of flex. flex-2.5.33-yy.patch has 
been included in current version of flex, which caused this problem
Comment 1 Fedora Update System 2007-06-25 19:24:54 EDT
flex-2.5.33-9.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.